-- merge.lua
-- Written By Habna


function Merge()
	if IsSorting or IsMixing or IsMerging or IsSearching then
		write("Can't merge when sort, mix, merge or search function are active!");
		return
	end

	IsMerging = true;
	SortButton:SetVisible( false );
	SearchButton:SetVisible( false );
	MergeButton:SetVisible( false );
	write( "HugeBag: Merging started" );

	for DestSlot = 1, backpackSize do
		TargetItem = frmMain.backpack:GetItem(DestSlot);
		TargetName = "zEmpty";
		--Get the name of the destination item
		if TargetItem ~= nil then TargetName = TargetItem:GetName(); end
		
		for SourceSlot = DestSlot + 1, backpackSize do
			SourceItem = frmMain.backpack:GetItem(SourceSlot);
			SourceName = "zEmpty";
			--Get the name of the source item
			if SourceItem ~= nil then
				SourceName = SourceItem:GetName();
				ItemMaxStackSize = SourceItem:GetMaxStackSize();
				ItemQuantity = SourceItem:GetQuantity();
			end
			
			if SourceName == TargetName and SourceName ~= "zEmpty" then
				if ItemMaxStackSize ~= 1 and ItemQuantity < ItemMaxStackSize then
					item = frmMain.backpack:GetItem( SourceSlot );
					if item ~= nil then	frmMain.backpack:PerformItemDrop( item, DestSlot, false ); end
				end
			end
		end
	end

	if ShowButton then
		SortButton:SetVisible( true );
		SearchButton:SetVisible( true );
		MergeButton:SetVisible( true );
	end
	
	IsMerging = false;
	write( "HugeBag: Merging finished" );
	--Turbine.PluginManager.LoadPlugin( 'HugeBag Reloader' );
end