-- shellcmd.lua
-- written by Habna


function frmShellCmd()
	self = Turbine.UI.Lotro.Window()
	--self = Turbine.UI.Lotro.GoldWindow()
	
	-- **v Set backcolor, position, size and text of the window v**
	self:SetSize( 525, 50 );
	self:SetText( "HugeBag Window Shell Commands" );
	if Widget then self:SetText( "HugeBag Widget Shell Commands "); end
	self:SetVisible( true );
	--self:SetZOrder( 2 );
	self:Activate();
	-- **^
	-- **^
	LoadShellCommandName();
	LoadShellCommandDes();
	--**v Shell command v**
	local PosY = 40;
	local Max = 21 --Number of shell command in window mode
	if Widget then Max = 14; end --Number of shell command in widget mode

	for i = 1, Max do
		local lblShell = Turbine.UI.Label();
		lblShell:SetParent( self );
		--lblShell:SetFont ( 12 );
		lblShell:SetText( ShellCommandName[i] );
		lblShell:SetPosition( 10, PosY );
		lblShell:SetSize( 85, 18 );
		lblShell:SetForeColor( green );
		lblShell:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );

		local lblShellDes = Turbine.UI.Label();
		lblShellDes:SetParent( self );
		--lblShellDes:SetFont ( 12 );
		lblShellDes:SetText( ShellCommandDes[i] );
		lblShellDes:SetPosition( 100, PosY );
		lblShellDes:SetSize( self:GetWidth() - lblShellDes:GetLeft(), 18 );
		lblShellDes:SetForeColor( white );
		lblShellDes:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
		PosY = PosY + 15;
		self:SetHeight( PosY );
	end
	self:SetHeight( PosY + 20 );

	local winWidth, winHeight = self:GetSize();
	local left, top = ( screenWidth / 2 ) - ( winWidth / 2 ) , ( screenHeight / 2 ) - ( winHeight /2 )
    self:SetPosition( left, top );
	--**^

	self.KeyDown = function( sender, args )
		if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
			self:SetVisible(false);
		end
	end
end